MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000403XdebugUsage problems (Wrong Results)public2008-08-24 22:242009-03-28 20:22
Reportercms 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000403: 'call' and 'return' breakpoints triggers both on call and return for class method breakpoints
DescriptionIf you set a 'call' or a 'return' breakpoint on a class method, the breakpoint will both on a call and a return of the method.
Additional InformationPatch:

Index: xdebug.c
===================================================================
RCS file: /repository/xdebug/xdebug.c,v
retrieving revision 1.432
diff -w -U 0 -r1.432 xdebug.c
--- xdebug.c 30 Jul 2008 11:17:00 -0000 1.432
+++ xdebug.c 24 Aug 2008 20:22:48 -0000
@@ -1393 +1393 @@
- if (!extra_brk_info->disabled) {
+ if (!extra_brk_info->disabled && (extra_brk_info->function_break_type == breakpoint_type)) {
TagsNo tags attached.
Operating System
PHP Version5.2.1
Attached Files

- Relationships

-  Notes
(0000938)
derick (administrator)
2009-03-28 20:22

Fixed in CVS, thanks for your report and patch.

- Issue History
Date Modified Username Field Change
2008-08-24 22:24 cms New Issue
2009-03-28 20:22 derick Note Added: 0000938
2009-03-28 20:22 derick Status new => closed
2009-03-28 20:22 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker